Package org.codehaus.janino

# Enum Parser.InterfaceDeclarationContext

java.lang.Object
java.lang.Enum<Parser.InterfaceDeclarationContext>
org.codehaus.janino.Parser.InterfaceDeclarationContext

All Implemented Interfaces:
  `Serializable`, `Comparable<Parser.InterfaceDeclarationContext>`, `java.lang.constant.Constable`

Enclosing class:
  `Parser`

public static enum Parser.InterfaceDeclarationContext extends Enum<Parser.InterfaceDeclarationContext>
The kinds of context where an interface declaration can occur.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`COMPILATION_UNIT`
The interface declaration appears at the top level.
`NAMED_TYPE_DECLARATION`
The interface declaration appears (directly) inside a 'named type declaration'.

## Method Summary

Modifier and Type
Method
Description
`static Parser.InterfaceDeclarationContext`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Parser.InterfaceDeclarationContext[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NAMED_TYPE_DECLARATION

public static final Parser.InterfaceDeclarationContext NAMED_TYPE_DECLARATION
The interface declaration appears (directly) inside a 'named type declaration'.

### COMPILATION_UNIT

public static final Parser.InterfaceDeclarationContext COMPILATION_UNIT
The interface declaration appears at the top level.

## Method Details

### values

public static Parser.InterfaceDeclarationContext[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static Parser.InterfaceDeclarationContext valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null